Skip to main content
`Ctrl`+`K`

# EPSGetProblemType

Gets the problem type from the `EPS` object.

## Synopsis

    #include "slepceps.h"
    PetscErrorCode EPSGetProblemType(EPS eps,EPSProblemType *type)

Not Collective

## Input Parameter

- eps - the linear eigensolver context

## Output Parameter

- type - the problem type

## See Also

EPS: Eigenvalue Problem Solver, `EPSSetProblemType()`, `EPSProblemType`

## Level

intermediate

## Location

src/eps/interface/epsopts.c

Index of all EPS routines Table of Contents for all manual pages Index of all manual pages